HINO Bugs - Bug #1563

[HR-MEDICAL]Fungsi Generate Plafon tidak sesuai dengan parameter yang sudah di setting.
09/08/2022 11:02 AM - Muhammad Bintar

Status: Closed Start date: 09/08/2022
Priority: Normal Due date: 09/09/2022
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 5.00 hours
Description

Dear tim developer mohon supportnya untuk perbaikan fungsi generate plafon medical karena saat ini sudah sesuai tapi kondisi jika
ada komponen di reguler payroll ada angka 0 nya maka nilai basic salary yang diambil dari record yang di atas nilai angka 0
tersebut.

contoh employeeid yang salah :

employeeid 00000446

employeeid 00000445

contoh employeeid yang benar:

employeeid 00000005
roll Data
Edit - Medical Maintenance - 00000446 -

: ® Payroll Dats

Start Date:
nployee Overview - 00000446 - Defrinaldy aznz

End Dare:

Fmployee ID: 00000446 Company ID: PT HINO Finance Indenesia =3 3171272022 =
Full Name: Defrinaldy Employee Office: Head Office Medical ID:

Employee Status: Active Organization: HR Department

Employee Type: Permanent Paosition: HR Asst. Manager

4 Reguler Payroll - 00000446 - Defrinaldy

roll Basic Data o Action -
B Medical Plafond
uler Payroll ]
StartDate | EndDate | Wage Type Numb... | Amou.. Curren..  Flag
itional Payroll (]
01/01/2022  3112/9939  1000-Basic Salary 100000 13355746 Rp Direct
roll Benefit <
01/01/2021  31/12/2021  1000-Basic Salary 1.00000 12056054 Rp Direct el Treatment Type MedicalFam.. Plafond Plafond Re. Plafond .
| 01/01/2020 31122020  1000-Basic Salary 100000 10.769.024 Rp | Direct  Yel Kuretasi/Keguguran  Yes 5.000.000.00 5,000.000.00
24/08/2020 31/12/2020  €010-Bussiness Trip (Lumpsum)  1.00000 0 Rp Bersalin Cesar Yes 14,000,000.00  14,000,000.00 0.00
23/03/2019  31M2/2019  1000-Basic Salary 100000 10.000.000 Rp Direct Bersalin Normal Yes 9.000.000.00 9,000.000.00 0.00

Kacamata Yes 1,200.000.00 1,200,000.00 0.00

—~ Rawat Jalan Yes 2153804800 | 1808904200  3.449.000.00
Rawat Inap Yes 43,076.096.00 43,076,096.00 0.00

remote.minovais.com:61120
username woty
password 123Aa

database sql server 2019
remote.minovais.com, 1445\MSSQLSERVER2019
minovaes hino prod agustus 2022

History

#1 - 09/08/2022 02:48 PM - Tri Rizqgiaty

- Status changed from New to Developing

Fixing :
Update folder API1\bin & API2\bin : MinovalS.MinovaES.Business.BN.dll (file terlampir)

Jangan lupa yang lama diback up
#2 - 09/08/2022 02:48 PM - Tri Rizqgiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizgiaty to Muhammad Bintar

#3 - 09/08/2022 05:05 PM - Muhammad Bintar
- File clipboard-202209081704-gxauy.png added
- File clipboard-202209081704-noffe.png added
- Status changed from QA Test to Deploy

oke sudah di deploy ke hino production

I 334938681 2 2 &
2 Minova ES | Home » | ) Mingva ES | Payroll Data X 5 Minova €5 | Medical Master . % £ Minova ES | Organization St X | 3 Minova ES | Employes Maste: X | £ Minova ES | Workflow Report X | + b - a X
MinovakS Menu

» [ My Workplace Siarh Date: 010172023

¥ [ Business Intelligence End Date: ———

= £ Human Resource
Medical ID: 5 )
= [= HR Administration reate By:

» [ Organization Ma... Create Date:

) Employee Admin...

Change By:

[ Time Management
- Change Date:
7 Travel Managem... B
w [~ Benefit Administ...
8 Medical Plafond
- [ medical

£] Medical M...

[] Claim Stat. Generate Plafond Delete
[1 Claim Stat... | I—

{1 Mmedical Cl...
Treatment Type MedicalFamily Flafond Plafond Re... Flafond ...
(@ Import M...
N Kacamata Yes 1,200,000.00 1,200,000.00 0.00
(%) Export Me...
_ Bersalin Normal 9,000,000.00 9,000,000.00 0.00
v [ medical R...
= . Bersalin Cesar 14,000,000.00 14,000,000.00 0.00
= = Payroll Administ...
R Kuretasi/Keguguran 5,000,000.00 5,000,000.00 0.00
[1 Payroll Data
£ Rawat Inap 56,824,000.00 56,824,000.00 0.00
[ Payroll Mass ..

= - R tJal. 2£,412,000.00 28,412,000.00 0.00
() Import Payroll awat jalan By

I 334938681 X # OB f= oL
3 Minova 5 | Home X 3 Minova ES | Payroll Data ® 3 Minova ES | Medical Master | ¥ | 3 Minova ES | Organization St 3 | 3 Minava ES | Employee Maste: X | 3 Minows £5 | Workflow Rcport X | v - o X
eHINO minovais Q:l

MinovaES Menu

Payroll Data
v [ my woerkplace
¥ [ Business Intelligence

= [ Human Resource Employee Overview - 00000446 - Defrinaldy

= £ HR Administration Employee ID: 00000446 Company ID: PT HINO Finance Indonesia

(] jizati
Organization Ma Full Name: Defrinaldy Employee Office: Head Office

£ Empl Admin...
* 1 Employse Admin. Employee Status: Active Organization: HR Department

» [ vime management Employee Type: Permanent Position: HR Asst. Manager

¥ [ Travel Managem...

~ [ Benefit Administ... Master Data Reguler Payroll - 00000446 - Defrinaldy
= Medical
™ B Medical Payroll Basic Data Clear Filters

Ll Medical M...
a ! Reguler Payroll

i Overwrite  Notes

[1 Claim Stat. - b =
additional Payroll
_—" medical ¢l 01/08/2022 31/12/9999 1000-Basic Salary 1.00000 14206000 Direct Yes

Payroll Benefit
(@) Import M. 01/01/2022 310772022 1000-Basic Salary 1.00000 13.255.746 Direct  Yes

@ Export Me... 01/01/2021  31/12/2021  1000-Basic Salary 1.00000  12.056.054 Direct  Yes

v [ Medical R.. 24/08/2020  31/12/2020  6010-Bussiness Trip (Lumpsum)  1.00000 o Direct  ves

+ [= Payroll Administ... 01/01/2020  31/12/2020  1000-Basic Salary 1.00000 10.769.024 Direct  Yes

[ Payroll Data 23/09/2019  31/12/2019  1000-Basic Salary 1.00000 10.000.000 Direct  Yes

1 Payroll Mass ...
(t) Import Payroll

#4 - 09/08/2022 05:06 PM - Muhammad Bintar
- Status changed from Deploy to Closed

- Assignee changed from Muhammad Bintar to Tri Rizqiaty

Files

clipboard-202209081102-bgjux.png 96.2 KB 09/08/2022 Muhammad Bintar
clipboard-202209081704-gxauy.png 173 KB 09/08/2022 Muhammad Bintar
clipboard-202209081704-noffe.png 215 KB 09/08/2022 Muhammad Bintar
